Subject: [pcp] Security Issues with Base Spec

From: Margaret Wasserman <[email-masked]>
Date: Fri, 1 Apr 2011 09:25:13 +0200

I read the base specification last night, in preparation for this  
morning's meeting, and I have some concerns which I will cover in a  
few separate, topical messages.  I'll start with security issues.

1) I understand that the group reached consensus that security is not  
needed in the protocol itself, and that it will be provided by the  
underlying transport.  However, there is no text in the document that  
even describes how PCP would be run over a secure transport, should  
security be needed.

2) The Security Considerations section does not, IMO, adequately  
describe how/when security is (or isn't) needed in deployments.  In  
particular, the Security Considerations section should, at least,  
cover the notion of source address spoofing and its impacts on PCP.

Margaret